Bug 450400 - Yum and Package Updater does not find mirror with matching packages.
Yum and Package Updater does not find mirror with matching packages.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-07 13:37 EDT by Need Real Name
Modified: 2014-01-21 18:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 15:37:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-06-07 13:37:03 EDT
Description of problem:

Setup includes fedora, updates, and adobe-linux-i386, each 100%.

Yum and Package Updater can not download from mirrors.  Packages do not match
request.  Error message = " [Errno 9] Requested Range Not Satisfiable" also "
[Errno -1] Package does not match intended download" 
Examples:
(x86_64/kernel-2.6.25.4-10.fc8.x86_64.rpm: [Errno -1] Package does not match
intended download)
(aspell-0.60.5-4.fc8.x86_64.rpm: [Errno -1] Package does not match intended download
(/x86_64/system-config-printer-libs-0.7.74.13-1.fc8.x86_64.rpm: [Errno -1]
Package does not match intended download)
(x86_64/evolution-help-2.12.3-5.fc8.x86_64.rpm: [Errno -1] Package does not
match intended download)

Tries different mirrors but gets same/similar errors on all.  The current update
request is for x86_64 evolution, kernel, kernel-devel, system-config-printer,
and aspell.  yum dependency list also includes i386 requests for evolution and
aspell. 

This F8 error has developed since last update of yum and package updater.  

Version-Release number of selected component (if applicable): latest FC8 yum
version.

Final failure message =
Error Downloading Packages:
  evolution - 2.12.3-5.fc8.x86_64: failure: evolution-2.12.3-5.fc8.x86_64.rpm
from updates: [Errno 256] No more mirrors to try.
  kernel - 2.6.25.4-10.fc8.x86_64: failure: kernel-2.6.25.4-10.fc8.x86_64.rpm
from updates: [Errno 256] No more mirrors to try.
  kernel-headers - 2.6.25.4-10.fc8.x86_64: failure:
kernel-headers-2.6.25.4-10.fc8.x86_64.rpm from updates: [Errno 256] No more
mirrors to try.
  kernel-devel - 2.6.25.4-10.fc8.x86_64: failure:
kernel-devel-2.6.25.4-10.fc8.x86_64.rpm from updates: [Errno 256] No more
mirrors to try.
  aspell - 12:0.60.5-4.fc8.x86_64: failure: aspell-0.60.5-4.fc8.x86_64.rpm from
updates: [Errno 256] No more mirrors to try.
  evolution - 2.12.3-5.fc8.i386: failure: evolution-2.12.3-5.fc8.i386.rpm from
updates: [Errno 256] No more mirrors to try.
  system-config-printer-libs - 0.7.74.13-1.fc8.x86_64: failure:
system-config-printer-libs-0.7.74.13-1.fc8.x86_64.rpm from updates: [Errno 256]
No more mirrors to try.
  evolution-help - 2.12.3-5.fc8.x86_64: failure:
evolution-help-2.12.3-5.fc8.x86_64.rpm from updates: [Errno 256] No more mirrors
to try.



How reproducible: use command: "yum update" on F8 .


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Need Real Name 2008-06-07 13:40:48 EDT
Current kernel = Fedora 8 (2.6.24.7-92.fc8)
Comment 2 Need Real Name 2008-06-07 14:12:47 EDT
yum.update file contains,
#mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f$releasever&arch=$basearch
 
which does not work.
substituting baseurl with valid path corrects problem.  But mirrorlist needs fix.
Comment 3 Jeremy Katz 2008-06-12 15:14:52 EDT
Is this still occurring?  Usually this just means that you're hitting an
out-of-sync mirror which then gets resolved either by the mirror catching up or
being dropped from the mirrorlist when the crawler checks it

Note You need to log in before you can comment on or make changes to this bug.